#import <Foundation/Foundation.h>

@interface AsTagItem : NSObject<NSCoding>

@property (strong, nonatomic) NSString *tag;
@property (nonatomic) int count;
@property (nonatomic) float rssi;
@property (nonatomic) float phase;
@property (nonatomic) float frequency;
@property (strong, nonatomic) NSString *dateTime;

+ (id)itemWith:(NSString *)tag rssi:(float)rssi phase:(float)phase frequency:(float)frequency;
- (void)updateRssi:(float)rssi withPhase:(float)phase frequency:(float)frequency;
@end
